Package org.apache.sysds.resource.enumeration

# Class EnumerationUtils.SolutionPoint

java.lang.Object
org.apache.sysds.resource.enumeration.EnumerationUtils.ConfigurationPoint
org.apache.sysds.resource.enumeration.EnumerationUtils.SolutionPoint

Enclosing class:
  EnumerationUtils

public static class EnumerationUtils.SolutionPoint extends EnumerationUtils.ConfigurationPoint
Data structure to hold all data related to cost estimation

## Field Summary

### Fields inherited from class org.apache.sysds.resource.enumeration.EnumerationUtils.ConfigurationPoint

`driverInstance, executorInstance, numberExecutors`

## Constructor Summary

Constructors
Constructor
Description
`SolutionPoint(EnumerationUtils.ConfigurationPoint inputPoint, double timeCost, double monetaryCost)`

## Method Summary

Modifier and Type
Method
Description
`double`
`getMonetaryCost()`
`double`
`getTimeCost()`
`void`
`update(EnumerationUtils.ConfigurationPoint point, double timeCost, double monetaryCost)`

### Methods inherited from class org.apache.sysds.resource.enumeration.EnumerationUtils.ConfigurationPoint

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SolutionPoint

public SolutionPoint(EnumerationUtils.ConfigurationPoint inputPoint, double timeCost, double monetaryCost)

## Method Details

### update

public void update(EnumerationUtils.ConfigurationPoint point, double timeCost, double monetaryCost)

### getTimeCost

public double getTimeCost()

### getMonetaryCost

public double getMonetaryCost()